Subject: Re: bug#50154: [Rmail]: Cannot save attachments from decryped email

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Aug 2021 13:55:56 +0300

> From: Ariel Costas <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 22 Aug 2021 10:29:19 +0000
> 
> > First, which version of Emacs is that?  If it isn't Emacs 28 from the
> > master branch of the Emacs Git repository, could you please try the
> > latest master and see if the problem persists?
> 
> It's GNU Emacs 27.2-1 from the Artix Linux repository, I could try
> installing Emacs 28 from source on another computer and try there

Yes, please do.  There were some changes in that code in the recent
months, and I wonder whether anything's changed as result.  In any
case, if we need fixes, they will start from what's now in Git, so it
would be good for you to have that available.

> > And second, rmail-epa-decrypt should ask whether to replace the
> > original message -- did it ask, and if it did, what was your answer to
> > that question?
> 
> It asks if I want to replace the original message, I usually say no. I
> tried saying yes to get it saved, restart emacs and load the inbox with
> the decrypted message, and it still isn't detected.

OK, thanks.